Get all contracts
Retrieve a paginated list of contracts, provisioned under the Master Reseller contract. Default limit is the first 50 items; use pagination query parameters for listing more items.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).
0The maximum number of elements to return (use together with offset for pagination).
50Filter the list by contract status [BILLABLE, CEASED, REJECTED].
Success
The offset (if specified in the request).
0The limit (if specified in the request).
1000Any erroneous status code: 400 (parse error), 401 (auth error), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
GET /reseller/v2/contracts HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"items": [
{
"id": "15514",
"href": "https://api.ionos.com/reseller/v2/contract/15514",
"name": "text",
"resellerReference": "text",
"status": "text",
"resourceLimits": {
"ramServerMax": 1,
"cpuServerMax": 1,
"hddVolumeMaxSize": 1,
"ssdVolumeMaxSize": 1,
"ramContractMax": 1,
"cpuContractMax": 1,
"hddVolumeContractMaxSize": 1,
"ssdVolumeContractMaxSize": 1,
"ips": 1
}
}
],
"offset": 0,
"limit": 1000,
"_links": {
"prev": "<PREVIOUS-PAGE-URI>",
"self": "<THIS-PAGE-URI>",
"next": "<NEXT-PAGE-URI>"
}
}Last updated
Was this helpful?